package projectzombie.entity;

import bdf.types.BdfObject;
import gl_engine.vec.Vec3d;
import projectzombie.init.Models;
import projectzombie.model.Model;
import projectzombie.world.layer.Layer;

public class EntityFlare extends EntityTnt
{
	public EntityFlare(BdfObject bdf) {
		super(bdf);
	}
	
	@Override
	protected void explode(Layer layer) {
	}

	public EntityFlare(Vec3d pos, Vec3d velocity, double angle) {
		super(pos, velocity, angle, 0, 0);
		
		this.explode_time = 2000;
		this.emitsLight = true;
	}
	
	@Override
	public double getLightLevel() {
		return 1;
	}
	
	@Override
	public Model getModel() {
		return active ? Models.ENTITY_FLARE : null;
	}

}
